Package org.silverpeas.components.scheduleevent.servlets.handlers

# Class ScheduleEventDateNextRequestHandler

java.lang.Object
org.silverpeas.components.scheduleevent.servlets.handlers.ScheduleEventDateNextRequestHandler

All Implemented Interfaces:
  `ScheduleEventRequestHandler`

public class ScheduleEventDateNextRequestHandler extends Object implements ScheduleEventRequestHandler

- ## Field Summary

  ### Fields inherited from interface org.silverpeas.components.scheduleevent.servlets.handlers.ScheduleEventRequestHandler

  `CURRENT_SCHEDULE_EVENT, FORMATTER_TMP_ID, LAST_DATE, LIST_SCHEDULE_EVENT, SCHEDULE_EVENT_DETAIL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduleEventDateNextRequestHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDestination(String function, ScheduleEventSessionController scheduleeventSC, jakarta.servlet.http.HttpServletRequest request)`
  `void`
  `setFirstStepRequestHandler(ScheduleEventRequestHandler forwardRequestHandler)`
  `void`
  `setForwardRequestHandler(ScheduleEventRequestHandler forwardRequestHandler)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScheduleEventDateNextRequestHandler

    public ScheduleEventDateNextRequestHandler()

- ## Method Details

  - ### setFirstStepRequestHandler

    public void setFirstStepRequestHandler(ScheduleEventRequestHandler forwardRequestHandler)

  - ### setForwardRequestHandler

    public void setForwardRequestHandler(ScheduleEventRequestHandler forwardRequestHandler)

  - ### getDestination

    public String getDestination(String function, ScheduleEventSessionController scheduleeventSC, jakarta.servlet.http.HttpServletRequest request) throws org.silverpeas.kernel.SilverpeasException
    Specified by:
      `getDestination` in interface `ScheduleEventRequestHandler`
    Throws:
      `org.silverpeas.kernel.SilverpeasException`